Cipher (Apache Tomcat 9.0.118 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.openssl.ciphers, enum: Cipher

# Enum Cipher

java.lang.Object
java.lang.Enum<Cipher>
org.apache.tomcat.util.net.openssl.ciphers.Cipher

All Implemented Interfaces:
  `Serializable, Comparable<Cipher>, java.lang.constant.Constable`

public enum Cipher extends Enum<Cipher>
All the standard cipher suites for SSL/TSL.

See Also:
  - OpenSSL cipher definitions
  - The cipher suite registry
  - Another list of cipher suites with some non-standard IDs
  - Oracle standard names for cipher suites
  - Mapping of OpenSSL cipher suites names to registry names
  - SSL Labs tool - list of ciphers
  - OpenJDK source code

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5`
  `SSL_CK_RC2_128_CBC_WITH_MD5`
  `SSL_CK_RC4_128_WITH_MD5`
  `SSL2_DES_192_EDE3_CBC_WITH_MD5`
  `SSL2_DES_64_CBC_WITH_MD5`
  `SSL2_IDEA_128_CBC_WITH_MD5`
  `SSL2_RC4_128_EXPORT40_WITH_MD5`
  `TLS_AES_128_CCM_8_SHA256`
  `TLS_AES_128_CCM_SHA256`
  `TLS_AES_128_GCM_SHA256`
  `TLS_AES_256_GCM_SHA384`
  `TLS_CHACHA20_POLY1305_SHA256`
  `TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_DH_anon_EXPORT_WITH_RC4_40_MD5`
  `TLS_DH_anon_WITH_3DES_EDE_CBC_SHA`
  `TLS_DH_anon_WITH_AES_128_CBC_SHA`
  `TLS_DH_anon_WITH_AES_128_CBC_SHA256`
  `TLS_DH_anon_WITH_AES_128_GCM_SHA256`
  `TLS_DH_anon_WITH_AES_256_CBC_SHA`
  `TLS_DH_anon_WITH_AES_256_CBC_SHA256`
  `TLS_DH_anon_WITH_AES_256_GCM_SHA384`
  `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_DH_anon_WITH_DES_CBC_SHA`
  `TLS_DH_anon_WITH_RC4_128_MD5`
  `TLS_DH_anon_WITH_SEED_CBC_SHA`
  `TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA`
  `TLS_DH_DSS_WITH_AES_128_CBC_SHA`
  `TLS_DH_DSS_WITH_AES_128_CBC_SHA256`
  `TLS_DH_DSS_WITH_AES_128_GCM_SHA256`
  `TLS_DH_DSS_WITH_AES_256_CBC_SHA`
  `TLS_DH_DSS_WITH_AES_256_CBC_SHA256`
  `TLS_DH_DSS_WITH_AES_256_GCM_SHA384`
  `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_DH_DSS_WITH_DES_CBC_SHA`
  `TLS_DH_DSS_WITH_SEED_CBC_SHA`
  `TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_DH_RSA_WITH_AES_128_CBC_SHA`
  `TLS_DH_RSA_WITH_AES_128_CBC_SHA256`
  `TLS_DH_RSA_WITH_AES_128_GCM_SHA256`
  `TLS_DH_RSA_WITH_AES_256_CBC_SHA`
  `TLS_DH_RSA_WITH_AES_256_CBC_SHA256`
  `TLS_DH_RSA_WITH_AES_256_GCM_SHA384`
  `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_DH_RSA_WITH_DES_CBC_SHA`
  `TLS_DH_RSA_WITH_SEED_CBC_SHA`
  `TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA`
  `TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA`
  `TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA`
  `TLS_DHE_DSS_WITH_AES_128_CBC_SHA`
  `TLS_DHE_DSS_WITH_AES_128_CBC_SHA256`
  `TLS_DHE_DSS_WITH_AES_128_GCM_SHA256`
  `TLS_DHE_DSS_WITH_AES_256_CBC_SHA`
  `TLS_DHE_DSS_WITH_AES_256_CBC_SHA256`
  `TLS_DHE_DSS_WITH_AES_256_GCM_SHA384`
  `TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256`
  `TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384`
  `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_DHE_DSS_WITH_DES_CBC_SHA`
  `TLS_DHE_DSS_WITH_RC4_128_SHA`
  `TLS_DHE_DSS_WITH_SEED_CBC_SHA`
  `TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA`
  `TLS_DHE_PSK_WITH_AES_128_CBC_SHA`
  `TLS_DHE_PSK_WITH_AES_128_CBC_SHA256`
  `TLS_DHE_PSK_WITH_AES_128_CCM`
  `TLS_DHE_PSK_WITH_AES_128_GCM_SHA256`
  `TLS_DHE_PSK_WITH_AES_256_CBC_SHA`
  `TLS_DHE_PSK_WITH_AES_256_CBC_SHA384`
  `TLS_DHE_PSK_WITH_AES_256_CCM`
  `TLS_DHE_PSK_WITH_AES_256_GCM_SHA384`
  `TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256`
  `TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384`
  `TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_DHE_PSK_WITH_NULL_SHA`
  `TLS_DHE_PSK_WITH_NULL_SHA256`
  `TLS_DHE_PSK_WITH_NULL_SHA384`
  `TLS_DHE_PSK_WITH_RC4_128_SHA`
  `TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_DHE_RSA_WITH_AES_128_CBC_SHA`
  `TLS_DHE_RSA_WITH_AES_128_CBC_SHA256`
  `TLS_DHE_RSA_WITH_AES_128_CCM`
  `TLS_DHE_RSA_WITH_AES_128_CCM_8`
  `TLS_DHE_RSA_WITH_AES_128_GCM_SHA256`
  `TLS_DHE_RSA_WITH_AES_256_CBC_SHA`
  `TLS_DHE_RSA_WITH_AES_256_CBC_SHA256`
  `TLS_DHE_RSA_WITH_AES_256_CCM`
  `TLS_DHE_RSA_WITH_AES_256_CCM_8`
  `TLS_DHE_RSA_WITH_AES_256_GCM_SHA384`
  `TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256`
  `TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384`
  `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_DHE_RSA_WITH_DES_CBC_SHA`
  `TLS_DHE_RSA_WITH_SEED_CBC_SHA`
  `TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDH_anon_WITH_AES_128_CBC_SHA`
  `TLS_ECDH_anon_WITH_AES_256_CBC_SHA`
  `TLS_ECDH_anon_WITH_NULL_SHA`
  `TLS_ECDH_anon_WITH_RC4_128_SHA`
  `TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA`
  `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256`
  `TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256`
  `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA`
  `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384`
  `TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384`
  `TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_ECDH_ECDSA_WITH_NULL_SHA`
  `TLS_ECDH_ECDSA_WITH_RC4_128_SHA`
  `TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA`
  `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256`
  `TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256`
  `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA`
  `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384`
  `TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384`
  `TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_ECDH_RSA_WITH_NULL_SHA`
  `TLS_ECDH_RSA_WITH_RC4_128_SHA`
  `TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA`
  `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256`
  `TLS_ECDHE_ECDSA_WITH_AES_128_CCM`
  `TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8`
  `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256`
  `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA`
  `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384`
  `TLS_ECDHE_ECDSA_WITH_AES_256_CCM`
  `TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8`
  `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384`
  `TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256`
  `TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384`
  `TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_ECDHE_ECDSA_WITH_NULL_SHA`
  `TLS_ECDHE_ECDSA_WITH_RC4_128_SHA`
  `TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA`
  `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256`
  `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA`
  `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384`
  `TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_ECDHE_PSK_WITH_NULL_SHA`
  `TLS_ECDHE_PSK_WITH_NULL_SHA256`
  `TLS_ECDHE_PSK_WITH_NULL_SHA384`
  `TLS_ECDHE_PSK_WITH_RC4_128_SHA`
  `TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA`
  `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256`
  `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256`
  `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA`
  `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384`
  `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384`
  `TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256`
  `TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384`
  `TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_ECDHE_RSA_WITH_NULL_SHA`
  `TLS_ECDHE_RSA_WITH_RC4_128_SHA`
  `TLS_PSK_DHE_WITH_AES_128_CCM_8`
  `TLS_PSK_DHE_WITH_AES_256_CCM_8`
  `TLS_PSK_WITH_3DES_EDE_CBC_SHA`
  `TLS_PSK_WITH_AES_128_CBC_SHA`
  `TLS_PSK_WITH_AES_128_CBC_SHA256`
  `TLS_PSK_WITH_AES_128_CCM`
  `TLS_PSK_WITH_AES_128_CCM_8`
  `TLS_PSK_WITH_AES_128_GCM_SHA256`
  `TLS_PSK_WITH_AES_256_CBC_SHA`
  `TLS_PSK_WITH_AES_256_CBC_SHA384`
  `TLS_PSK_WITH_AES_256_CCM`
  `TLS_PSK_WITH_AES_256_CCM_8`
  `TLS_PSK_WITH_AES_256_GCM_SHA384`
  `TLS_PSK_WITH_ARIA_128_GCM_SHA256`
  `TLS_PSK_WITH_ARIA_256_GCM_SHA384`
  `TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_PSK_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_PSK_WITH_NULL_SHA`
  `TLS_PSK_WITH_NULL_SHA256`
  `TLS_PSK_WITH_NULL_SHA384`
  `TLS_PSK_WITH_RC4_128_SHA`
  `TLS_RSA_EXPORT_WITH_DES40_CBC_SHA`
  `TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5`
  `TLS_RSA_EXPORT_WITH_RC4_40_MD5`
  `TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA`
  `TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5`
  `TLS_RSA_EXPORT1024_WITH_RC4_56_MD5`
  `TLS_RSA_EXPORT1024_WITH_RC4_56_SHA`
  `TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA`
  `TLS_RSA_PSK_WITH_AES_128_CBC_SHA`
  `TLS_RSA_PSK_WITH_AES_128_CBC_SHA256`
  `TLS_RSA_PSK_WITH_AES_128_GCM_SHA256`
  `TLS_RSA_PSK_WITH_AES_256_CBC_SHA`
  `TLS_RSA_PSK_WITH_AES_256_CBC_SHA384`
  `TLS_RSA_PSK_WITH_AES_256_GCM_SHA384`
  `TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256`
  `TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384`
  `TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384`
  `TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256`
  `TLS_RSA_PSK_WITH_NULL_SHA`
  `TLS_RSA_PSK_WITH_NULL_SHA256`
  `TLS_RSA_PSK_WITH_NULL_SHA384`
  `TLS_RSA_PSK_WITH_RC4_128_SHA`
  `TLS_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_RSA_WITH_AES_128_CBC_SHA`
  `TLS_RSA_WITH_AES_128_CBC_SHA256`
  `TLS_RSA_WITH_AES_128_CCM`
  `TLS_RSA_WITH_AES_128_CCM_8`
  `TLS_RSA_WITH_AES_128_GCM_SHA256`
  `TLS_RSA_WITH_AES_256_CBC_SHA`
  `TLS_RSA_WITH_AES_256_CBC_SHA256`
  `TLS_RSA_WITH_AES_256_CCM`
  `TLS_RSA_WITH_AES_256_CCM_8`
  `TLS_RSA_WITH_AES_256_GCM_SHA384`
  `TLS_RSA_WITH_ARIA_128_GCM_SHA256`
  `TLS_RSA_WITH_ARIA_256_GCM_SHA384`
  `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA`
  `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256`
  `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA`
  `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256`
  `TLS_RSA_WITH_DES_CBC_SHA`
  `TLS_RSA_WITH_IDEA_CBC_SHA`
  `TLS_RSA_WITH_NULL_MD5`
  `TLS_RSA_WITH_NULL_SHA`
  `TLS_RSA_WITH_NULL_SHA256`
  `TLS_RSA_WITH_RC4_128_MD5`
  `TLS_RSA_WITH_RC4_128_SHA`
  `TLS_RSA_WITH_SEED_CBC_SHA`
  `TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA`
  `TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA`
  `TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA`
  `TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA`
  `TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA`
  `TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA`
  `TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA`
  `TLS_SRP_SHA_WITH_AES_128_CBC_SHA`
  `TLS_SRP_SHA_WITH_AES_256_CBC_SHA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAlg_bits()`
  `Authentication`
  `getAu()`
  `Encryption`
  `getEnc()`
  `int`
  `getId()`
  `Set<String>`
  `getJsseNames()`
  `KeyExchange`
  `getKx()`
  `EncryptionLevel`
  `getLevel()`
  `MessageDigest`
  `getMac()`
  `String`
  `getOpenSSLAlias()`
  `Set<String>`
  `getOpenSSLAltNames()`
  `Protocol`
  `getProtocol()`
  `int`
  `getStrength_bits()`
  `boolean`
  `isExport()`
  `boolean`
  `isFipsCompatible()`
  `static Cipher`
  `valueOf(int cipherId)`
  Returns the enum constant of this type with the specified name.
  `static Cipher`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Cipher[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TLS_RSA_WITH_NULL_MD5

    public static final Cipher TLS_RSA_WITH_NULL_MD5

  - ### TLS_RSA_WITH_NULL_SHA

    public static final Cipher TLS_RSA_WITH_NULL_SHA

  - ### TLS_RSA_EXPORT_WITH_RC4_40_MD5

    public static final Cipher TLS_RSA_EXPORT_WITH_RC4_40_MD5

  - ### TLS_RSA_WITH_RC4_128_MD5

    public static final Cipher TLS_RSA_WITH_RC4_128_MD5

  - ### TLS_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_RSA_WITH_RC4_128_SHA

  - ### TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5

    public static final Cipher TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5

  - ### TLS_RSA_WITH_IDEA_CBC_SHA

    public static final Cipher TLS_RSA_WITH_IDEA_CBC_SHA

  - ### TLS_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_RSA_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_RSA_WITH_DES_CBC_SHA

  - ### TLS_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_DH_DSS_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_DES_CBC_SHA

  - ### TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_DH_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_DES_CBC_SHA

  - ### TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_DHE_DSS_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_DES_CBC_SHA

  - ### TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_DHE_RSA_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_DES_CBC_SHA

  - ### TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DH_anon_EXPORT_WITH_RC4_40_MD5

    public static final Cipher TLS_DH_anon_EXPORT_WITH_RC4_40_MD5

  - ### TLS_DH_anon_WITH_RC4_128_MD5

    public static final Cipher TLS_DH_anon_WITH_RC4_128_MD5

  - ### TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA

    public static final Cipher TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA

  - ### TLS_DH_anon_WITH_DES_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_DES_CBC_SHA

  - ### TLS_DH_anon_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_3DES_EDE_CBC_SHA

  - ### TLS_PSK_WITH_NULL_SHA

    public static final Cipher TLS_PSK_WITH_NULL_SHA

  - ### TLS_DHE_PSK_WITH_NULL_SHA

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA

  - ### TLS_RSA_PSK_WITH_NULL_SHA

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA

  - ### TLS_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_DH_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_AES_128_CBC_SHA

  - ### TLS_DH_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_DHE_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_CBC_SHA

  - ### TLS_DHE_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_DH_anon_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_AES_128_CBC_SHA

  - ### TLS_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_DH_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_AES_256_CBC_SHA

  - ### TLS_DH_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_DHE_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_CBC_SHA

  - ### TLS_DHE_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_DH_anon_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_AES_256_CBC_SHA

  - ### TLS_RSA_WITH_NULL_SHA256

    public static final Cipher TLS_RSA_WITH_NULL_SHA256

  - ### TLS_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_AES_128_CBC_SHA256

  - ### TLS_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_AES_256_CBC_SHA256

  - ### TLS_DH_DSS_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_128_CBC_SHA256

  - ### TLS_DH_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_128_CBC_SHA256

  - ### TLS_DHE_DSS_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_CBC_SHA256

  - ### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_RSA_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA

  - ### TLS_RSA_EXPORT1024_WITH_RC4_56_MD5

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC4_56_MD5

  - ### TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC2_CBC_56_MD5

  - ### TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA

    public static final Cipher TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA

  - ### TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT1024_WITH_DES_CBC_SHA

  - ### TLS_RSA_EXPORT1024_WITH_RC4_56_SHA

    public static final Cipher TLS_RSA_EXPORT1024_WITH_RC4_56_SHA

  - ### TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA

    public static final Cipher TLS_DHE_DSS_EXPORT1024_WITH_RC4_56_SHA

  - ### TLS_DHE_DSS_WITH_RC4_128_SHA

    public static final Cipher TLS_DHE_DSS_WITH_RC4_128_SHA

  - ### TLS_DHE_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CBC_SHA256

  - ### TLS_DH_DSS_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_256_CBC_SHA256

  - ### TLS_DH_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_256_CBC_SHA256

  - ### TLS_DHE_DSS_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_CBC_SHA256

  - ### TLS_DHE_RSA_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CBC_SHA256

  - ### TLS_DH_anon_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_128_CBC_SHA256

  - ### TLS_DH_anon_WITH_AES_256_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_256_CBC_SHA256

  - ### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_RSA_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA

  - ### TLS_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_PSK_WITH_RC4_128_SHA

  - ### TLS_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_PSK_WITH_3DES_EDE_CBC_SHA

  - ### TLS_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_PSK_WITH_AES_128_CBC_SHA

  - ### TLS_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_PSK_WITH_AES_256_CBC_SHA

  - ### TLS_DHE_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_DHE_PSK_WITH_RC4_128_SHA

  - ### TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA

  - ### TLS_DHE_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CBC_SHA

  - ### TLS_DHE_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CBC_SHA

  - ### TLS_RSA_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_RSA_PSK_WITH_RC4_128_SHA

  - ### TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA

  - ### TLS_RSA_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_CBC_SHA

  - ### TLS_RSA_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_CBC_SHA

  - ### TLS_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_RSA_WITH_SEED_CBC_SHA

  - ### TLS_DH_DSS_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_DSS_WITH_SEED_CBC_SHA

  - ### TLS_DH_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_RSA_WITH_SEED_CBC_SHA

  - ### TLS_DHE_DSS_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DHE_DSS_WITH_SEED_CBC_SHA

  - ### TLS_DHE_RSA_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DHE_RSA_WITH_SEED_CBC_SHA

  - ### TLS_DH_anon_WITH_SEED_CBC_SHA

    public static final Cipher TLS_DH_anon_WITH_SEED_CBC_SHA

  - ### TLS_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_RSA_WITH_AES_128_GCM_SHA256

  - ### TLS_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_RSA_WITH_AES_256_GCM_SHA384

  - ### TLS_DHE_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_GCM_SHA256

  - ### TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

  - ### TLS_DH_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_RSA_WITH_AES_128_GCM_SHA256

  - ### TLS_DH_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_RSA_WITH_AES_256_GCM_SHA384

  - ### TLS_DHE_DSS_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_AES_128_GCM_SHA256

  - ### TLS_DHE_DSS_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_DSS_WITH_AES_256_GCM_SHA384

  - ### TLS_DH_DSS_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_DSS_WITH_AES_128_GCM_SHA256

  - ### TLS_DH_DSS_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_DSS_WITH_AES_256_GCM_SHA384

  - ### TLS_DH_anon_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DH_anon_WITH_AES_128_GCM_SHA256

  - ### TLS_DH_anon_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DH_anon_WITH_AES_256_GCM_SHA384

  - ### TLS_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_PSK_WITH_AES_128_GCM_SHA256

  - ### TLS_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_PSK_WITH_AES_256_GCM_SHA384

  - ### TLS_DHE_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_GCM_SHA256

  - ### TLS_DHE_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_GCM_SHA384

  - ### TLS_RSA_PSK_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_GCM_SHA256

  - ### TLS_RSA_PSK_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_GCM_SHA384

  - ### TLS_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_PSK_WITH_AES_128_CBC_SHA256

  - ### TLS_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_PSK_WITH_AES_256_CBC_SHA384

  - ### TLS_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_PSK_WITH_NULL_SHA256

  - ### TLS_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_PSK_WITH_NULL_SHA384

  - ### TLS_DHE_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CBC_SHA256

  - ### TLS_DHE_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CBC_SHA384

  - ### TLS_DHE_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA256

  - ### TLS_DHE_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_NULL_SHA384

  - ### TLS_RSA_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_AES_128_CBC_SHA256

  - ### TLS_RSA_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_AES_256_CBC_SHA384

  - ### TLS_RSA_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA256

  - ### TLS_RSA_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_NULL_SHA384

  - ### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256

    public static final Cipher TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256

  - ### TLS_AES_128_GCM_SHA256

    public static final Cipher TLS_AES_128_GCM_SHA256

  - ### TLS_AES_256_GCM_SHA384

    public static final Cipher TLS_AES_256_GCM_SHA384

  - ### TLS_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_CHACHA20_POLY1305_SHA256

  - ### TLS_AES_128_CCM_SHA256

    public static final Cipher TLS_AES_128_CCM_SHA256

  - ### TLS_AES_128_CCM_8_SHA256

    public static final Cipher TLS_AES_128_CCM_8_SHA256

  - ### TLS_ECDH_ECDSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_NULL_SHA

  - ### TLS_ECDH_ECDSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_RC4_128_SHA

  - ### TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA

  - ### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA

  - ### TLS_ECDHE_ECDSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_NULL_SHA

  - ### TLS_ECDHE_ECDSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_RC4_128_SHA

  - ### TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA

  - ### TLS_ECDH_RSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_NULL_SHA

  - ### TLS_ECDH_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_RC4_128_SHA

  - ### TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_ECDHE_RSA_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_NULL_SHA

  - ### TLS_ECDHE_RSA_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_RC4_128_SHA

  - ### TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_ECDH_anon_WITH_NULL_SHA

    public static final Cipher TLS_ECDH_anon_WITH_NULL_SHA

  - ### TLS_ECDH_anon_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDH_anon_WITH_RC4_128_SHA

  - ### TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDH_anon_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_AES_128_CBC_SHA

  - ### TLS_ECDH_anon_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDH_anon_WITH_AES_256_CBC_SHA

  - ### TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA

  - ### TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA

  - ### TLS_SRP_SHA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_AES_128_CBC_SHA

  - ### TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA

  - ### TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA

  - ### TLS_SRP_SHA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_WITH_AES_256_CBC_SHA

  - ### TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA

  - ### TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384

  - ### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256

  - ### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384

  - ### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

  - ### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

  - ### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256

  - ### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

  - ### TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256

  - ### TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384

  - ### TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

  - ### TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

  - ### TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256

  - ### TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

  - ### TLS_ECDHE_PSK_WITH_RC4_128_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_RC4_128_SHA

  - ### TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA

  - ### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA

  - ### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA

  - ### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256

  - ### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA256

  - ### TLS_ECDHE_PSK_WITH_NULL_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_NULL_SHA384

  - ### TLS_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_RSA_WITH_ARIA_128_GCM_SHA256

  - ### TLS_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_RSA_WITH_ARIA_256_GCM_SHA384

  - ### TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256

  - ### TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384

  - ### TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256

  - ### TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384

  - ### TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256

  - ### TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384

  - ### TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256

  - ### TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384

  - ### TLS_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_PSK_WITH_ARIA_128_GCM_SHA256

  - ### TLS_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_PSK_WITH_ARIA_256_GCM_SHA384

  - ### TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_ARIA_128_GCM_SHA256

  - ### TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_ARIA_256_GCM_SHA384

  - ### TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_ARIA_128_GCM_SHA256

  - ### TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_ARIA_256_GCM_SHA384

  - ### TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

  - ### TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

    public static final Cipher TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

  - ### TLS_RSA_WITH_AES_128_CCM

    public static final Cipher TLS_RSA_WITH_AES_128_CCM

  - ### TLS_RSA_WITH_AES_256_CCM

    public static final Cipher TLS_RSA_WITH_AES_256_CCM

  - ### TLS_DHE_RSA_WITH_AES_128_CCM

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CCM

  - ### TLS_DHE_RSA_WITH_AES_256_CCM

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CCM

  - ### TLS_RSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_RSA_WITH_AES_128_CCM_8

  - ### TLS_RSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_RSA_WITH_AES_256_CCM_8

  - ### TLS_DHE_RSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_DHE_RSA_WITH_AES_128_CCM_8

  - ### TLS_DHE_RSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_DHE_RSA_WITH_AES_256_CCM_8

  - ### TLS_PSK_WITH_AES_128_CCM

    public static final Cipher TLS_PSK_WITH_AES_128_CCM

  - ### TLS_PSK_WITH_AES_256_CCM

    public static final Cipher TLS_PSK_WITH_AES_256_CCM

  - ### TLS_DHE_PSK_WITH_AES_128_CCM

    public static final Cipher TLS_DHE_PSK_WITH_AES_128_CCM

  - ### TLS_DHE_PSK_WITH_AES_256_CCM

    public static final Cipher TLS_DHE_PSK_WITH_AES_256_CCM

  - ### TLS_PSK_WITH_AES_128_CCM_8

    public static final Cipher TLS_PSK_WITH_AES_128_CCM_8

  - ### TLS_PSK_WITH_AES_256_CCM_8

    public static final Cipher TLS_PSK_WITH_AES_256_CCM_8

  - ### TLS_PSK_DHE_WITH_AES_128_CCM_8

    public static final Cipher TLS_PSK_DHE_WITH_AES_128_CCM_8

  - ### TLS_PSK_DHE_WITH_AES_256_CCM_8

    public static final Cipher TLS_PSK_DHE_WITH_AES_256_CCM_8

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CCM

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CCM

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CCM

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CCM

  - ### TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8

  - ### TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8

    public static final Cipher TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8

  - ### TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_PSK_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_ECDHE_PSK_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_DHE_PSK_WITH_CHACHA20_POLY1305_SHA256

  - ### TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256

    public static final Cipher TLS_RSA_PSK_WITH_CHACHA20_POLY1305_SHA256

  - ### SSL_CK_RC4_128_WITH_MD5

    public static final Cipher SSL_CK_RC4_128_WITH_MD5

  - ### SSL2_RC4_128_EXPORT40_WITH_MD5

    public static final Cipher SSL2_RC4_128_EXPORT40_WITH_MD5

  - ### SSL_CK_RC2_128_CBC_WITH_MD5

    public static final Cipher SSL_CK_RC2_128_CBC_WITH_MD5

  - ### SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5

    public static final Cipher SSL_CK_RC2_128_CBC_EXPORT40_WITH_MD5

  - ### SSL2_IDEA_128_CBC_WITH_MD5

    public static final Cipher SSL2_IDEA_128_CBC_WITH_MD5

  - ### SSL2_DES_64_CBC_WITH_MD5

    public static final Cipher SSL2_DES_64_CBC_WITH_MD5

  - ### SSL2_DES_192_EDE3_CBC_WITH_MD5

    public static final Cipher SSL2_DES_192_EDE3_CBC_WITH_MD5

- ## Method Details

  - ### values

    public static Cipher[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Cipher valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()

  - ### getOpenSSLAlias

    public String getOpenSSLAlias()

  - ### getOpenSSLAltNames

    public Set<String> getOpenSSLAltNames()

  - ### getJsseNames

    public Set<String> getJsseNames()

  - ### getKx

    public KeyExchange getKx()

  - ### getAu

    public Authentication getAu()

  - ### getEnc

    public Encryption getEnc()

  - ### getMac

    public MessageDigest getMac()

  - ### getProtocol

    public Protocol getProtocol()

  - ### isExport

    public boolean isExport()

  - ### getLevel

    public EncryptionLevel getLevel()

  - ### isFipsCompatible

    public boolean isFipsCompatible()

  - ### getStrength_bits

    public int getStrength_bits()

  - ### getAlg_bits

    public int getAlg_bits()

  - ### valueOf

    public static Cipher valueOf(int cipherId)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `cipherId` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null